# Copyright (c) 2016 3D Control Systems LTD

# Author: Oleg Panasevych <panasevychol@gmail.com>

import platform

def get_platform():
    platform_info = platform.platform().lower()
    if platform_info.startswith('linux') and 'arm' in platform_info:
        return 'rpi'
    elif platform_info.startswith('linux'):
        return 'linux'
    elif platform_info.startswith('darwin'):
        return 'mac'
    elif platform_info.startswith('windows'):
        return 'win'

PLATFORM = get_platform()